openSUSE Leap: Wo kann ich mein DSL einrichten?

amiga1200

New Member
Unter Network Devices / DSL konnte ich unter Suse immer eine PPPOE Verbindung konfigurieren,
leider finde ich im neuen Leap unter Yast keine Möglichkeit!


Ich habe eine reine Test-Installation ohne Grafik.

Nachtrag: 1 Stunde um Netz gesucht und nichts gefunden
Apache startet leider auch nicht.
Ich werde es wohl erst mal mit suse13.2 versuchen
Nachtrag2:
Bin wieder bei Suse13.1.
/var/log/messes jetzt vor anders
Kein DSL
Apche startet nicht,
@Suse
Ich habe ja nichts gegen neue Funktion, aber wenn man mal schnell einen Server aufsetzen must hat man keine Zeit alles neu zu lernen und im Internet nach Lösungen zu suchen!




Nachtrag 2: Man benötigt den Network Manager, der aber sowas wie kde voraus setzt, also
Textmodus keine Change.
Das wurde ab 13.2 eingeführt.
 

tomfa

Member
amiga1200 schrieb:
Nachtrag 2: Man benötigt den Network Manager, der aber sowas wie kde voraus setzt, also
Textmodus keine Change.
Sehe ich anders und lief hier auch schon im Textmodus.
Code:
man NetworkManager
kennst du und unter anderem ist dir (nicht nur) nmcli ein Begriff? Ansonsten könntest du dir ja auch mal ModemManager anschauen.
 

Rain_Maker

Administrator
Teammitglied
Dann mal der Reihe nach:

1) Ja, seit 13.2 ist der Punkt zum Einrichten von PPP-Verbindungen (DSL oder "normale" Modemverbindungen) nicht mehr in "yast2-network" vorhanden (IIRC kein Maintainer mehr).

2) Nein, man benötigt keinen NetworkManager für DSL, wer es gerne ganz "puristisch" hat, braucht nicht mal irgendein extra-Paket außer pppd und schreibt sich die Konfigurationen für Einwahlverbindungen selbst. Wer es gerne etwas bequemer haben will:

Code:
rpm -qpil rp-pppoe-3.11-5.1.x86_64.rpm 
Name        : rp-pppoe
Version     : 3.11
Release     : 5.1
Architecture: x86_64
Install Date: (not installed)
Group       : Productivity/Networking/PPP
Size        : 408663
License     : GPL-2.0+
Signature   : RSA/SHA256, Mi 30 Sep 2015 12:55:45 CEST, Key ID b88b2fd43dbdc284
Source RPM  : rp-pppoe-3.11-5.1.src.rpm
Build Date  : Mi 30 Sep 2015 12:55:38 CEST
Build Host  : build76
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : http://www.roaringpenguin.com/pppoe
Summary     : A PPP Over Ethernet Redirector for PPPD
Description :
rp-pppoe is a user-space redirector which permits the use of PPPoE
(Point-to-Point Protocol Over Ethernet) with Linux. PPPoE is used by
many ADSL service providers.

Authors:
--------
    David F. Skoll <http://www.roaringpenguin.com>
Distribution: openSUSE Leap 42.1
/etc/init.d/pppoe
/etc/ppp/firewall-masq
/etc/ppp/firewall-standalone
/etc/ppp/pppoe-server-options
/etc/ppp/pppoe.conf
/etc/ppp/rp-pppoe-gui
/usr/bin/tkpppoe
/usr/sbin/pppoe
/usr/sbin/pppoe-connect
/usr/sbin/pppoe-relay
/usr/sbin/pppoe-server
/usr/sbin/pppoe-setup
/usr/sbin/pppoe-sniff
/usr/sbin/pppoe-start
/usr/sbin/pppoe-status
/usr/sbin/pppoe-stop
/usr/sbin/pppoe-wrapper
/usr/sbin/rcpppoe
/usr/share/doc/packages/rp-pppoe
/usr/share/doc/packages/rp-pppoe/CHANGES
/usr/share/doc/packages/rp-pppoe/HOW-TO-CONNECT
/usr/share/doc/packages/rp-pppoe/KERNEL-MODE-PPPOE
/usr/share/doc/packages/rp-pppoe/LICENSE
/usr/share/doc/packages/rp-pppoe/README
/usr/share/doc/packages/rp-pppoe/README.plugins
/usr/share/doc/packages/rp-pppoe/SERVPOET
/usr/share/doc/packages/rp-pppoe/pap-secrets
/usr/share/man/man1/pppoe-wrapper.1.gz
/usr/share/man/man1/tkpppoe.1.gz
/usr/share/man/man5/pppoe.conf.5.gz
/usr/share/man/man8/pppoe-connect.8.gz
/usr/share/man/man8/pppoe-relay.8.gz
/usr/share/man/man8/pppoe-server.8.gz
/usr/share/man/man8/pppoe-setup.8.gz
/usr/share/man/man8/pppoe-sniff.8.gz
/usr/share/man/man8/pppoe-start.8.gz
/usr/share/man/man8/pppoe-status.8.gz
/usr/share/man/man8/pppoe-stop.8.gz
/usr/share/man/man8/pppoe.8.gz
/usr/share/tkpppoe
/usr/share/tkpppoe/en.msg
/usr/share/tkpppoe/ja.msg
/usr/share/tkpppoe/mainwin-busy.png
/usr/share/tkpppoe/mainwin-nonroot.png
/usr/share/tkpppoe/mainwin.png
/usr/share/tkpppoe/props-advanced.png
/usr/share/tkpppoe/props-basic.png
/usr/share/tkpppoe/props-nic.png
/usr/share/tkpppoe/props-options.png
/usr/share/tkpppoe/tkpppoe.html
3) Und dann wäre da noch eine Ergänzung:
tomfa schrieb:
Sehe ich anders und lief hier auch schon im Textmodus.
ACK, NetworkManager hat per se _keine_ Abhängigkeiten zu _irgendeiner_ grafischen Oberfläche.

Code:
rpm -qp --requires NetworkManager-1.0.6-1.2.x86_64.rpm 
/bin/sh
/bin/sh
/bin/sh
/bin/sh
/bin/sh
config(NetworkManager) = 1.0.6-1.2
dhcp-client
iproute2
iputils
libbluetooth.so.3()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.17)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libc.so.6(GLIBC_2.8)(64bit)
libdbus-1.so.3()(64bit)
libdbus-glib-1.so.2()(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libgio-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgudev-1.0.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libmm-glib.so.0()(64bit)
libndp.so.0()(64bit)
libnewt.so.0.52()(64bit)
libnewt.so.0.52(NEWT_0.52)(64bit)
libnewt.so.0.52(NEWT_0.52.13)(64bit)
libnewt.so.0.52(NEWT_0.52.6)(64bit)
libnewt.so.0.52(NEWT_0.52.9)(64bit)
libnl-3.so.200()(64bit)
libnl-3.so.200(libnl_3)(64bit)
libnl-genl-3.so.200()(64bit)
libnl-genl-3.so.200(libnl_3)(64bit)
libnl-route-3.so.200()(64bit)
libnl-route-3.so.200(libnl_3)(64bit)
libnm-wwan.so()(64bit)
libnm.so.0()(64bit)
libnm.so.0(libnm_1_0_0)(64bit)
libnm.so.0(libnm_1_0_4)(64bit)
libnm.so.0(libnm_1_0_6)(64bit)
libnspr4.so()(64bit)
libnss3.so()(64bit)
libnss3.so(NSS_3.2)(64bit)
libnss3.so(NSS_3.3)(64bit)
libpolkit-agent-1.so.0()(64bit)
libpolkit-gobject-1.so.0()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libreadline.so.6()(64bit)
libsmime3.so()(64bit)
libsmime3.so(NSS_3.2)(64bit)
libsmime3.so(NSS_3.4)(64bit)
libsoup-2.4.so.1()(64bit)
libsystemd.so.0()(64bit)
libsystemd.so.0(LIBSYSTEMD_209)(64bit)
libuuid.so.1()(64bit)
libuuid.so.1(UUID_1.0)(64bit)
mozilla-nss
ppp = 2.4.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
sysconfig >= 0.80.5
systemd
systemd
systemd
systemd
wpa_supplicant >= 0.6.4
rpmlib(PayloadIsLzma) <= 4.4.6-1
Da ist nix von KDE, GNOME, nicht mal irgendwelche Xorg-Abhängigkeiten.

Es kann aber sein, dass da irgendein "Recommends" für eines der grafischen Applets gesetzt wurde, dazu sollte man sich /etc/zypp/zypp.conf anschauen, was dort zur Variable "solver.onlyRequires" steht (und die gibt es schon lange, hier in einer 13.1 und wenn sie nicht auf "true" steht, dann werden "recommended" Pakete automatisch nachinstalliert).

tomfa schrieb:
kennst du und unter anderem ist dir (nicht nur) nmcli ein Begriff? Ansonsten könntest du dir ja auch mal ModemManager anschauen.
Prinzipiell richtig, aber seit 13.2 sollte man eher "nmtui" verwenden, sehr viel komfortabler.

Greetz,

RM
 
Oben